<!DOCTYPE html>
<html>
<head>
    <title>Grade Calculator</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="styles.css">
    <style>
        .container {
            max-width: 960px;
            padding: 30px;
            background-color: #f8f9fa;
            margin-top: 30px;
            border-radius: 5px;
        }
        .btn-calculate {
            margin-top: 20px;
            background-color: #28a745;
            border: none;
            color: white;
            padding: 10px 20px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            margin: 4px 2px;
            cursor: pointer;
        }
       
        #result {
            font-size: 24px;
            font-weight: bold;
            margin-top: 20px;
        }
        .table {
            margin-top: 20px;
            border: 1px solid #dee2e6;
        }
        .table th {
            padding: 1.5rem;
            border: 1px solid #dee2e6;
            background-color: #f8f9fa;
            color: #495057;
        }
        .table td {
            padding: 1.5rem;
            border: 1px solid #dee2e6;
            color: #495057;
        }
        .table-striped tbody tr:nth-of-type(odd) {
            background-color: rgba(0, 0, 0, 0.05);
        }
        .table-hover tbody tr:hover {
            color: #495057;
            background-color: rgba(0, 0, 0, 0.075);
        }
    </style>
</head>
<body>
    <div class="container py-5">
        <h1 class="text-center">Grade Calculator</h1>
        <form id="gradeForm">
            <div class="form-group">
                <label for="score1">Functionality (out of 10)</label>
                <select id="score1" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>
            <div class="form-group">
                <label for="score2">Design of Logic (out of 10)</label>
                <select id="score2" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>
            <div class="form-group">
                <label for="score3">Standards (out of 5)</label>
                <select id="score3" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>
            <div class="form-group">
                <label for="score4">Documentation (out of 5)</label>
                <select id="score4" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>
            <!-- <button type="button" onclick="calculateGrade()" class="btn btn-primary btn-block">Calculate Grade</button> -->
        </form>
        <br>
        <p>Download screenshot of table
        </p>
        <button id="copyTable">Get Table</button>
        <br>
        <h2 id="result" class="text-center mt-4"></h2>
        <div class="table-responsive mt-5">
            <table id="grading-rubric" class="table table-striped table-bordered">
                <thead class="thead-dark">
                  <tr>
                    <th scope="col">Program (30 pts)</th>
                    <th scope="col">Exceeds Requirements</th>
                    <th scope="col">Meets Requirements</th>
                    <th scope="col">Needs Improvement</th>
                    <th scope="col">Unsatisfactory</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>Functionality</td>
                    <td>All functionality met (9-10)</td>
                    <td>Minor functionality missing/incorrect (5-8)</td>
                    <td>Major functionality missing/incorrect (3-4)</td>
                    <td>Insufficient functionality present (0-2)</td>
                  </tr>
                  <tr>
                    <td>Design of logic</td>
                    <td>Program is logically well-designed (9-10)</td>
                    <td>Program has slight logic errors that do not significantly affect the result (5-8)</td>
                    <td>Program has significant logic errors (3-4)</td>
                    <td>Program is incorrect (0-2)</td>
                  </tr>
                  <tr>
                    <td>Standards</td>
                    <td>Program is stylistically well-designed (5)</td>
                    <td>Few inappropriate design choices (i.e., poor variable names, improper indentation) (3-4)</td>
                    <td>Several inappropriate design choices (i.e., poor variable names, improper indentation) (2)</td>
                    <td>Program is poorly written (0-1)</td>
                </tr>
                <tr>
                    <td>Documentation</td>
                    <td>Program is well-documented (5)</td>
                    <td>Missing one required comment (3-4)</td>
                    <td>Missing two or more required comments (2)</td>
                    <td>Most or all documentation missing (0-1)</td>
                </tr>
                </tbody>
                </table>
                </div>
                <script src="scripts.js"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.5.0-beta4/html2canvas.min.js"></script>
                </div>
                </body>
                </html>
                